View Issue Details

IDProjectCategoryView StatusLast Update
0002832SOGoBackend Mailpublic2014-07-29 10:54
ReporterMarcel Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.5 
Target Version2.2.7Fixed in Version2.2.7 
Summary0002832: Cannot use SmarterMail IMAP backend
Description

Some IMAP servers, notably SmarterMail, do not understand

1 login "username" {8}
password

syntax for IMAP logins. Already after the first line, they complain about invalid username/password, as it uses the {8} length field as the password.

Would it be possible to specify the password itself on the login command line itself, at least for passwords which do not contain characters interfering with the login process?

Steps To Reproduce

Add the server to the IMAP accounts list
The server appears, but no folders are listed
A wireshark analysis shows the following behavior:

S: * OK IMAP4rev1 SmarterMail
C: 1 login "username" {7}
S: 1 NO LOGIN bad username or password

Additional Information

Right now, it is not possible to connect to such a mail server and I have no control over the mail server's setup. Even though SOGo behaves standard-compliant, it would be nice if it were more conservative in its transmission of the password and thereby improving interoperability without losing performance or features.

TagsNo tags attached.

Activities

ludovic

ludovic

2014-07-02 08:47

administrator   ~0007271

That is pretty dump from SmarterMail to not support that as it's a requirement for IMAP servers to do so and it breaks 8-bit paswords support.

Marcel

Marcel

2014-07-04 17:19

reporter   ~0007285

I agree. However, as it only supports dumb passwords anyway, this is not a problem.

I have drafted a pull request (https://github.com/inverse-inc/sope/pull/9) which seems to solve the problem while preserving full compatibility and reducing the connection setup by one RTT for simple passwords.

(I have not tested it as I currently don't have a SOGo development setup)

ludovic

ludovic

2014-07-29 10:54

administrator   ~0007363

Merged (and modified after) a few days ago.

Issue History

Date Modified Username Field Change
2014-07-01 16:26 Marcel New Issue
2014-07-02 08:47 ludovic Note Added: 0007271
2014-07-04 17:19 Marcel Note Added: 0007285
2014-07-09 14:05 ludovic Target Version => 2.2.7
2014-07-29 10:54 ludovic Note Added: 0007363
2014-07-29 10:54 ludovic Status new => closed
2014-07-29 10:54 ludovic Assigned To => ludovic
2014-07-29 10:54 ludovic Resolution open => fixed
2014-07-29 10:54 ludovic Fixed in Version => 2.2.7